Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 1897
Registriert: 15.10.2012 03:27

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Melmac » 04.10.2015 20:01

Hi,

Du kannst nicht beide Upgrademethoden mischen ;)

Mit welchem Upgrade-/Updatepaket arbeitest Du denn jetzt:
- mit dem deutschen Komplettpaket => dann gehst Du so vor, wie es Lehrling vorgeschlagen hat, oder vielleicht doch
- mit dem automatischen Updater-Paket, zu finden => hier

Falls Du im Downloadpaket, das Du gerade verwendest, nur diese drei Ordner docs, install und vendor hast, dann ist es Letzteres - und damit eigentlich ein anderes Vorgehen.

Hast Du denn bereits die Files/Ordner (außer den von Lehrling genannten) auf dem Server gelöscht oder ist alles noch im "3.0.14-Urzustand" (von den drei hochgeladenen Ordnern mal abgesehen)?
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 20:15

Hi Melmac,

vorab....ihr habt einen absoluten Dussel vor euch, was den technischen "Kram" betrifft :D

Ja, ich habe Letzteres (das automatische Updat-Paket.) Und Ja, ich hab da, bis auf die 4 Ordner alles rausgelöscht. Danach habe ich dann das automatische Update-Paket hochgeladen.

Hm......dann kann ich jetzt nochmal von vorne anfangen? Das Forum über das Backup wiederherstellen und danach dann das Komplettpaket nehmen?

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 1897
Registriert: 15.10.2012 03:27

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Melmac » 04.10.2015 21:07

Hallo Angela,

alles kein Grund zur Panik, es hört sich schlimmer an als es sein dürfte ;)
[btw: "absolute Dussel" waren wir alle mal ... ;) ]

Kurz ein paar Fragen vorweg noch:
- die Datenbank hattest Du vor dem Upgradeversuch gesichert?
- hattest Du im "alten" Board irgendwelche MODs installiert (insbesondere AutoMOD - gerade der macht oft genug nach einem Upgrade Probleme, wenn er vorher nicht deinstalliert wurde) und, wenn ja, welche?

Falls ich Dich richtig verstanden habe, ist das Datenbankupdate bisher gar nicht erst angelaufen - das würde das weitere Vorgehen stark vereinfachen ;)
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 04.10.2015 21:50

Hi,

jup, gesichert habe ich alles. Bin gerade am hochladen.
Tja.....hm.....sind MODs diese kleinen Button, wie z.B. "zitieren" - wo würde ich denn diesen AutoMOD finden, damit ich ihn deinstallieren kann.....wenn ich dann wieder ins Forum komme.
Hatte bislang den Admin-Bereich immer offen gelassen. Nun ist er aber zu :-?
Die MODs hatte mein damaliger CO-Admin installiert.

Ich hoffe, dass ich jetzt die richtigen Schritte mache: Zusehen dass das Forum wieder zum Laufen bekomme. Dann diesen MOD deinstallieren, falls er vorhanden ist. Und dann mit dem Komplettpaket weitermachen bzw. von vorne anfange. Richtig?

[btw: "absolute Dussel" waren wir alle mal ... ;) ]
naja, ich führe das Forum seit 6 Jahren. Da müsste man doch stark annehmen, dass ich ein bissel dazugelernt habe. Ist aber nicht so :D

Lehrling
Supporter
Supporter
Beiträge: 2863
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Lehrling » 04.10.2015 21:56

wenn du das Update korrekt durchführst, gibt es keine Mods mehr. Es kann sein, dass noch ein paar Modureste im Administrationsbereich zu finden sind, die kann man aber beseitigen.
Also, es sollten vom alten Board folgende Dateien bzw. Ordner im Hauptverzeichnis bleiben:
die config.php, images, files und store. Alles andere musst du löschen.
Dann lädst du die Dateien des Komplettpakets 3.1.6 hoch, alles bis auf die config.php und die Ordner images, files und store! WICHTIG! Die config.php und die Ordner images, files und store dürfen nicht überschrieben werden. Dann startest du das Update, indem du den install-Ordner aufrufst. Dazu rufst du einfach so etwas wie deine-domain.de/forum/install auf, je nach Ordnerstruktur bei dir eben.
Du solltest dann automatisch durch das Update geführt werden. Die Aktualisierung der Datenbank ist der letzte Schritt des Updates.
Vielleicht hilft dir auch dieses Video weiter (ist leider etwas lang geworden):
https://www.youtube.com/watch?v=LIpEd4l ... i4V3E9rHy6

Angela333
Mitglied
Beiträge: 38
Registriert: 27.06.2011 20:23
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon Angela333 » 05.10.2015 02:56

Ganz lieben Dank für die kompetente Hilfe!

Ich habs geschafft! :wink:

Benutzeravatar
franki
Ehemaliger
Beiträge: 2791
Registriert: 21.10.2007 14:02
Wohnort: Geldern-Walbeck
Kontaktdaten:

Re: Fehlermeldung beim Update von 3.0.14 auf 3.1.6

Beitragvon franki » 05.10.2015 15:57

Melmac hat geschrieben:[btw: "absolute Dussel" waren wir alle mal ... ;) ]

Mit phpBB3.1.x bin ich wieder zum Dussel geworden und fang wieder von vorne an :grin:

Lehrling hat geschrieben:! WICHTIG! Die config.php und die Ordner images, files und store dürfen nicht überschrieben werden.


Hallo Lehrling
Es steht zwar in der Anleitung drin, aber warum dürfen die "Ordner" NICHT überschrieben werden :o
Es werden doch nur die jeweiligen "index.html" und die evtl. vorhandenen ".htaccess" Dateien überschrieben.
Der andere Inhalt in den Ordner bleibt doch erhalten.

Das die config.php nicht gelöscht werden darf ist klar. :wink:
LG Franki


Zurück zu „Support-Forum“